function [loss] = Loss(vector_params,a)
    global oo_ data_moments
% Parameters

bbeta = a(1);
t1 = a(2); 
t2 = a(3); 
t3 = a(4); 
t4 = a(5); 
t5 = a(6);

p1 = a(7); 
p2 = a(8); 
p3 = a(9); 
p4 = a(10); 
p5 = a(11);
sigma  = a(12);
gm_bar = a(13);
gy_bar = a(14);
zb_bar = a(15);
w_bar  = a(16);
Qb_bar = a(17);

rho_y   = vector_params(1);
sigma_y = vector_params(2);
rho_m   = vector_params(3);
sigma_m = vector_params(4);
rho_my  = vector_params(5);
rho_ym  = vector_params(6);
sigma_ym= vector_params(7); 
f       = vector_params(8); 
save params_model bbeta t1 t2 t3 t4 t5 p1 p2 p3 p4 p5 sigma w_bar Qb_bar zb_bar gy_bar gm_bar rho_y rho_m rho_ym rho_my f sigma_y sigma_m sigma_ym;
dynare file02c noclearall nolog

% Re(1) Rb(2) py(16) gy(19) gm(20) v(21) i(22) r(23)

sd_y_model      = sqrt(oo_.var(19,19));
corr_y_yl_model = oo_.autocorr{1}(19,19);
sd_m_model      = sqrt(oo_.var(20,20));
corr_m_ml_model = oo_.autocorr{1}(20,20);
corr_m_yl_model = oo_.autocorr{1}(20,19);
corr_y_ml_model = oo_.autocorr{1}(19,20);
corr_y_m_model  = oo_.contemporaneous_correlation(19,20);

Dist = [sd_y_model - data_moments(1);
       corr_y_yl_model-data_moments(2);
       sd_m_model-data_moments(3);
       corr_m_ml_model-data_moments(4);
       corr_m_yl_model-data_moments(5);
       corr_y_ml_model-data_moments(6);
       corr_y_m_model-data_moments(7)];
   
vector_params
loss = Dist'*eye(length(data_moments))*Dist;  
    
end