function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 8);

T = file02Rc.static_resid_tt(T, y, x, params);

T(5) = getPowerDeriv(y(1)*(1-y(5)-y(4))+y(2)*y(5),(-params(3)),1);
T(6) = getPowerDeriv(y(1)*(1-y(5)-y(4))+y(2)*y(5),1-params(3),1);
T(7) = getPowerDeriv(T(4),1/(1-params(3)),1);
T(8) = getPowerDeriv(y(6),1-params(3),1);

end
