function [loss] = Loss(vector_params)
    global oo_ data_moments
% Parameters

bbeta = 0.99054279;
t5 = 2.7637007;
sigma  = 2;
gm_bar  = 0.013860104;
gy_bar  = 0.0039062522;
zb_bar = 0.013488651;
w_bar  = 75.123224;
Qb_bar = 0.97319989;

rho_y   = vector_params(1);
sigma_y = vector_params(2);
rho_m   = vector_params(3);
sigma_m = vector_params(4);
rho_my  = vector_params(5);
rho_ym  = vector_params(6);
sigma_ym= vector_params(7); 
f       = vector_params(8); 
save params_model bbeta t5 sigma w_bar Qb_bar zb_bar gy_bar gm_bar rho_y rho_m rho_ym rho_my f sigma_y sigma_m sigma_ym;
dynare file02Rc noclearall nolog

sd_y_model      = sqrt(oo_.var(11,11));
corr_y_yl_model = oo_.autocorr{1}(11,11);
sd_m_model      = sqrt(oo_.var(12,12));
corr_m_ml_model = oo_.autocorr{1}(12,12);
corr_m_yl_model = oo_.autocorr{1}(12,11);
corr_y_ml_model = oo_.autocorr{1}(11,12);
corr_y_m_model  = oo_.contemporaneous_correlation(11,12);

Dist = [sd_y_model - data_moments(1);
       corr_y_yl_model-data_moments(2);
       sd_m_model-data_moments(3);
       corr_m_ml_model-data_moments(4);
       corr_m_yl_model-data_moments(5);
       corr_y_ml_model-data_moments(6);
       corr_y_m_model-data_moments(7)];
   
vector_params
loss = Dist'*eye(length(data_moments))*Dist;  
    
end