%%% This file runs file02e_noest %%%
addpath C:\dynare\4.6.2\matlab;
dynare file02Rc_noestim noclearall nolog;
 
% Re(1) Rb(2) py(8) gy(11) gm(12) i(13) r(14)
MV = oo_.var;
CC = oo_.contemporaneous_correlation;
AC = oo_.autocorr{1,1};

%---"estimated" statistics---%
cgygyl = AC(11,11);
cgygml = AC(11,12);
sdgy   = sqrt(MV(11,11));
cgmgml = AC(12,12);
cgmgyl = AC(12,11);
sdgm   = sqrt(MV(12,12));
cgygm  = CC(11,12);

table1 = [rho_y;rho_ym;sigma_y;rho_m;rho_my;sigma_m;sigma_ym;f];

table2 = [cgygyl;cgygml;sdgy;cgmgml;cgmgyl;sdgm;cgygm];

%---standard deviations---%
% Re(1) Rb(2) py(8) gy(11) gm(12) i(13) r(14)

sdi  = sqrt(MV(13,13));
sdr  = sqrt(MV(14,14));
sdRe = sqrt(MV(1,1));
sdpy = sqrt(MV(8,8));

table3 = [sdi;sdr;sdRe;sdpy];

%---correlations---%
% Re(1) Rb(2) py(8) gy(11) gm(12) i(13) r(14)

cpygy = CC(8,11);
cpygm = CC(8,12);
cpyi  = CC(8,13);
cpyr  = CC(8,14);
cpyRe = CC(8,1);

cRegy = CC(1,11);
cRegm = CC(1,12);
cRer  = CC(1,14);
cRei  = CC(1,13);
table4 = [cpygy;cpygm;cpyi;cpyr;cpyRe;cRegy;cRegm;cRer;cRei];

%---auto-correlations---%
% Re(1) Rb(2) py(8) gy(11) gm(12) i(13) r(14)
aci = AC(13,13);
acr = AC(14,14);
acRe = AC(1,1);
acpy = AC(8,8);

table5 = [aci;acr;acRe;acpy];

tablepar = [bbeta;"-";"-";"-";"-";"-";t5;"-";"-";"-";"-";1;oo_.steady_state(4);zb_bar;oo_.steady_state(10);w_bar;oo_.steady_state(6)];

