function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = file02b.static_g1_tt(T, y, x, params);
end
g1 = zeros(23, 23);
g1(1,1)=1;
g1(1,16)=(-((-1)/((1+y(16))*(1+y(16)))/y(18)));
g1(1,18)=(-((y(18)*(1+y(19))-(y(18)*(1+y(19))+1/(1+y(16))))/(y(18)*y(18))));
g1(1,19)=(-1);
g1(2,2)=1;
g1(2,15)=(-((-(1+y(16)))/((1+y(16))*y(15)*(1+y(16))*y(15))));
g1(2,16)=(-((-y(15))/((1+y(16))*y(15)*(1+y(16))*y(15))));
g1(3,3)=1;
g1(3,16)=(-((-1)/((1+y(16))*(1+y(16)))));
g1(4,1)=(-((T(11)*(y(3)*T(6)+(y(1)-y(3)*y(8))*y(3)*T(45))-T(7)*y(12)*T(10)*T(45))/(T(11)*T(11))));
g1(4,2)=(-((T(11)*(y(1)-y(3)*y(8))*y(3)*T(3)*y(13)*T(44)-T(7)*y(12)*T(10)*T(3)*y(13)*T(44))/(T(11)*T(11))));
g1(4,3)=(-((T(11)*((y(1)-y(3)*y(8))*(T(6)+y(3)*T(3)*T(44)*y(12)*y(8))+y(3)*T(6)*(-y(8)))-T(7)*y(12)*(T(10)*T(3)*T(44)*y(12)*y(8)+T(6)*2*y(3)))/(T(11)*T(11))));
g1(4,4)=1;
g1(4,8)=(-((T(11)*(params(2)*T(1)*(-(getPowerDeriv(1-y(8),(-params(12)),1)))+(y(1)-y(3)*y(8))*y(3)*T(3)*T(44)*y(3)*y(12)+y(3)*T(6)*(-y(3)))-T(7)*(T(9)*params(2)*(-(getPowerDeriv(1-y(8),(-(1+params(12))),1)))+y(12)*T(10)*T(3)*T(44)*y(3)*y(12)))/(T(11)*T(11))));
g1(4,12)=(-((T(11)*(T(2)*params(2)*T(70)+(y(1)-y(3)*y(8))*y(3)*T(3)*T(44)*(y(3)*y(8)-y(1)))-T(7)*(T(8)*T(71)+T(6)*T(10)+y(12)*T(10)*T(3)*T(44)*(y(3)*y(8)-y(1))))/(T(11)*T(11))));
g1(4,13)=(-((T(11)*(y(1)-y(3)*y(8))*y(3)*T(3)*(y(2)-y(1))*T(44)-T(7)*y(12)*T(10)*T(3)*(y(2)-y(1))*T(44))/(T(11)*T(11))));
g1(4,14)=(-((T(11)*(y(1)-y(3)*y(8))*y(3)*params(1)*T(5)-T(7)*y(12)*T(10)*params(1)*T(5))/(T(11)*T(11))));
g1(5,1)=(-((T(18)*(y(3)*T(15)+(y(1)-y(3)*y(9))*y(3)*T(47))-T(16)*y(12)*T(10)*T(47))/(T(18)*T(18))));
g1(5,2)=(-((T(18)*(y(1)-y(3)*y(9))*y(3)*T(3)*y(13)*T(46)-T(16)*y(12)*T(10)*T(3)*y(13)*T(46))/(T(18)*T(18))));
g1(5,3)=(-((T(18)*((y(1)-y(3)*y(9))*(T(15)+y(3)*T(3)*T(46)*y(12)*y(9))+y(3)*T(15)*(-y(9)))-T(16)*y(12)*(T(15)*2*y(3)+T(10)*T(3)*T(46)*y(12)*y(9)))/(T(18)*T(18))));
g1(5,5)=1;
g1(5,9)=(-((T(18)*(T(1)*params(3)*(-(getPowerDeriv(1-y(9),(-params(12)),1)))+(y(1)-y(3)*y(9))*y(3)*T(3)*T(46)*y(3)*y(12)+y(3)*T(15)*(-y(3)))-T(16)*(T(9)*params(3)*(-(getPowerDeriv(1-y(9),(-(1+params(12))),1)))+y(12)*T(10)*T(3)*T(46)*y(3)*y(12)))/(T(18)*T(18))));
g1(5,12)=(-((T(18)*(T(12)*params(3)*T(70)+(y(1)-y(3)*y(9))*y(3)*T(3)*T(46)*(y(3)*y(9)-y(1)))-T(16)*(T(17)*T(71)+T(10)*T(15)+y(12)*T(10)*T(3)*T(46)*(y(3)*y(9)-y(1))))/(T(18)*T(18))));
g1(5,13)=(-((T(18)*(y(1)-y(3)*y(9))*y(3)*T(3)*(y(2)-y(1))*T(46)-T(16)*y(12)*T(10)*T(3)*(y(2)-y(1))*T(46))/(T(18)*T(18))));
g1(5,14)=(-((T(18)*(y(1)-y(3)*y(9))*y(3)*params(1)*T(14)-T(16)*y(12)*T(10)*params(1)*T(14))/(T(18)*T(18))));
g1(6,1)=(-((T(25)*(y(3)*T(22)+(y(1)-y(3)*y(10))*y(3)*T(49))-T(23)*y(12)*T(10)*T(49))/(T(25)*T(25))));
g1(6,2)=(-((T(25)*(y(1)-y(3)*y(10))*y(3)*T(3)*y(13)*T(48)-T(23)*y(12)*T(10)*T(3)*y(13)*T(48))/(T(25)*T(25))));
g1(6,3)=(-((T(25)*((y(1)-y(3)*y(10))*(T(22)+y(3)*T(3)*T(48)*y(12)*y(10))+y(3)*T(22)*(-y(10)))-T(23)*y(12)*(T(22)*2*y(3)+T(10)*T(3)*T(48)*y(12)*y(10)))/(T(25)*T(25))));
g1(6,6)=1;
g1(6,10)=(-((T(25)*(T(1)*params(4)*(-(getPowerDeriv(1-y(10),(-params(12)),1)))+(y(1)-y(3)*y(10))*y(3)*T(3)*T(48)*y(3)*y(12)+y(3)*T(22)*(-y(3)))-T(23)*(T(9)*params(4)*(-(getPowerDeriv(1-y(10),(-(1+params(12))),1)))+y(12)*T(10)*T(3)*T(48)*y(3)*y(12)))/(T(25)*T(25))));
g1(6,12)=(-((T(25)*(T(19)*params(4)*T(70)+(y(1)-y(3)*y(10))*y(3)*T(3)*T(48)*(y(3)*y(10)-y(1)))-T(23)*(T(24)*T(71)+T(10)*T(22)+y(12)*T(10)*T(3)*T(48)*(y(3)*y(10)-y(1))))/(T(25)*T(25))));
g1(6,13)=(-((T(25)*(y(1)-y(3)*y(10))*y(3)*T(3)*(y(2)-y(1))*T(48)-T(23)*y(12)*T(10)*T(3)*(y(2)-y(1))*T(48))/(T(25)*T(25))));
g1(6,14)=(-((T(25)*(y(1)-y(3)*y(10))*y(3)*params(1)*T(21)-T(23)*y(12)*T(10)*params(1)*T(21))/(T(25)*T(25))));
g1(7,1)=(-((T(32)*(y(3)*T(29)+(y(1)-y(3)*y(11))*y(3)*T(51))-T(30)*y(12)*T(10)*T(51))/(T(32)*T(32))));
g1(7,2)=(-((T(32)*(y(1)-y(3)*y(11))*y(3)*T(3)*y(13)*T(50)-T(30)*y(12)*T(10)*T(3)*y(13)*T(50))/(T(32)*T(32))));
g1(7,3)=(-((T(32)*((y(1)-y(3)*y(11))*(T(29)+y(3)*T(3)*T(50)*y(12)*y(11))+y(3)*T(29)*(-y(11)))-T(30)*y(12)*(T(29)*2*y(3)+T(10)*T(3)*T(50)*y(12)*y(11)))/(T(32)*T(32))));
g1(7,7)=1;
g1(7,11)=(-((T(32)*(T(1)*params(5)*(-(getPowerDeriv(1-y(11),(-params(12)),1)))+(y(1)-y(3)*y(11))*y(3)*T(3)*T(50)*y(3)*y(12)+y(3)*T(29)*(-y(3)))-T(30)*(T(9)*params(5)*(-(getPowerDeriv(1-y(11),(-(1+params(12))),1)))+y(12)*T(10)*T(3)*T(50)*y(3)*y(12)))/(T(32)*T(32))));
g1(7,12)=(-((T(32)*(T(26)*params(5)*T(70)+(y(1)-y(3)*y(11))*y(3)*T(3)*T(50)*(y(3)*y(11)-y(1)))-T(30)*(T(31)*T(71)+T(10)*T(29)+y(12)*T(10)*T(3)*T(50)*(y(3)*y(11)-y(1))))/(T(32)*T(32))));
g1(7,13)=(-((T(32)*(y(1)-y(3)*y(11))*y(3)*T(3)*(y(2)-y(1))*T(50)-T(30)*y(12)*T(10)*T(3)*(y(2)-y(1))*T(50))/(T(32)*T(32))));
g1(7,14)=(-((T(32)*(y(1)-y(3)*y(11))*y(3)*params(1)*T(28)-T(30)*y(12)*T(10)*params(1)*T(28))/(T(32)*T(32))));
g1(8,1)=(-(y(3)*T(3)*(1-y(13)-y(12))*T(52)));
g1(8,2)=(-(y(3)*T(3)*y(13)*T(52)));
g1(8,3)=(-(T(3)*T(34)+y(3)*T(3)*T(52)*y(12)*y(8)));
g1(8,8)=params(2)*(-y(12))*T(62)-y(3)*T(3)*T(52)*y(3)*y(12);
g1(8,12)=params(2)*(1-y(8))*T(62)-y(3)*T(3)*T(52)*(y(3)*y(8)-y(1));
g1(8,13)=(-(y(3)*T(3)*(y(2)-y(1))*T(52)));
g1(8,14)=(-(y(3)*params(1)*T(34)));
g1(9,1)=(-(y(3)*T(3)*(1-y(13)-y(12))*T(53)));
g1(9,2)=(-(y(3)*T(3)*y(13)*T(53)));
g1(9,3)=(-(T(3)*T(36)+y(3)*T(3)*T(53)*y(12)*y(9)));
g1(9,9)=params(3)*(-y(12))*T(64)-y(3)*T(3)*T(53)*y(3)*y(12);
g1(9,12)=params(3)*(1-y(9))*T(64)-y(3)*T(3)*T(53)*(y(3)*y(9)-y(1));
g1(9,13)=(-(y(3)*T(3)*(y(2)-y(1))*T(53)));
g1(9,14)=(-(y(3)*params(1)*T(36)));
g1(10,1)=(-(y(3)*T(3)*(1-y(13)-y(12))*T(54)));
g1(10,2)=(-(y(3)*T(3)*y(13)*T(54)));
g1(10,3)=(-(T(3)*T(38)+y(3)*T(3)*T(54)*y(12)*y(10)));
g1(10,10)=params(4)*(-y(12))*T(66)-y(3)*T(3)*T(54)*y(3)*y(12);
g1(10,12)=params(4)*(1-y(10))*T(66)-y(3)*T(3)*T(54)*(y(3)*y(10)-y(1));
g1(10,13)=(-(y(3)*T(3)*(y(2)-y(1))*T(54)));
g1(10,14)=(-(y(3)*params(1)*T(38)));
g1(11,1)=(-(y(3)*T(3)*(1-y(13)-y(12))*T(55)));
g1(11,2)=(-(y(3)*T(3)*y(13)*T(55)));
g1(11,3)=(-(T(3)*T(40)+y(3)*T(3)*T(55)*y(12)*y(11)));
g1(11,11)=params(5)*(-y(12))*T(68)-y(3)*T(3)*T(55)*y(3)*y(12);
g1(11,12)=params(5)*(1-y(11))*T(68)-y(3)*T(3)*T(55)*(y(3)*y(11)-y(1));
g1(11,13)=(-(y(3)*T(3)*(y(2)-y(1))*T(55)));
g1(11,14)=(-(y(3)*params(1)*T(40)));
g1(12,1)=(-(T(3)*(T(34)*params(7)+(y(1)-y(3)*(y(8)+y(4)*y(12)))*params(7)*(1-y(13)-y(12))*T(52)+T(36)*params(8)+(y(1)-y(3)*(y(9)+y(12)*y(5)))*params(8)*(1-y(13)-y(12))*T(53)+T(38)*params(9)+(y(1)-y(3)*(y(10)+y(12)*y(6)))*params(9)*(1-y(13)-y(12))*T(54)+T(40)*params(10)+(y(1)-y(3)*(y(11)+y(12)*y(7)))*params(10)*(1-y(13)-y(12))*T(55)+T(41)+y(1)*params(11)*(1-y(13)-y(12))*T(56))));
g1(12,2)=(-(T(3)*((y(1)-y(3)*(y(8)+y(4)*y(12)))*params(7)*y(13)*T(52)+(y(1)-y(3)*(y(9)+y(12)*y(5)))*params(8)*y(13)*T(53)+(y(1)-y(3)*(y(10)+y(12)*y(6)))*params(9)*y(13)*T(54)+(y(1)-y(3)*(y(11)+y(12)*y(7)))*params(10)*y(13)*T(55)+y(1)*params(11)*y(13)*T(56))));
g1(12,3)=(-(T(3)*((y(1)-y(3)*(y(8)+y(4)*y(12)))*params(7)*T(52)*y(12)*y(8)+T(34)*params(7)*(-(y(8)+y(4)*y(12)))+(y(1)-y(3)*(y(9)+y(12)*y(5)))*params(8)*T(53)*y(12)*y(9)+T(36)*params(8)*(-(y(9)+y(12)*y(5)))+(y(1)-y(3)*(y(10)+y(12)*y(6)))*params(9)*T(54)*y(12)*y(10)+T(38)*params(9)*(-(y(10)+y(12)*y(6)))+(y(1)-y(3)*(y(11)+y(12)*y(7)))*params(10)*T(55)*y(12)*y(11)+T(40)*params(10)*(-(y(11)+y(12)*y(7))))));
g1(12,4)=T(33)*params(2)*params(7)*(-y(12))-T(3)*T(34)*params(7)*(-(y(3)*y(12)));
g1(12,5)=T(35)*params(3)*params(8)*(-y(12))-T(3)*T(36)*params(8)*(-(y(3)*y(12)));
g1(12,6)=T(37)*params(4)*params(9)*(-y(12))-T(3)*T(38)*params(9)*(-(y(3)*y(12)));
g1(12,7)=T(39)*params(5)*params(10)*(-y(12))-T(3)*T(40)*params(10)*(-(y(3)*y(12)));
g1(12,8)=(1+y(12)*(-y(4))-y(8))*params(2)*params(7)*(-y(12))*T(62)-T(33)*params(2)*params(7)-T(3)*((y(1)-y(3)*(y(8)+y(4)*y(12)))*params(7)*T(52)*y(3)*y(12)+T(34)*params(7)*(-y(3)));
g1(12,9)=(1+y(12)*(-y(5))-y(9))*params(3)*params(8)*(-y(12))*T(64)-T(35)*params(3)*params(8)-T(3)*((y(1)-y(3)*(y(9)+y(12)*y(5)))*params(8)*T(53)*y(3)*y(12)+T(36)*params(8)*(-y(3)));
g1(12,10)=(1+y(12)*(-y(6))-y(10))*params(4)*params(9)*(-y(12))*T(66)-T(37)*params(4)*params(9)-T(3)*((y(1)-y(3)*(y(10)+y(12)*y(6)))*params(9)*T(54)*y(3)*y(12)+T(38)*params(9)*(-y(3)));
g1(12,11)=(1+y(12)*(-y(7))-y(11))*params(5)*params(10)*(-y(12))*T(68)-T(39)*params(5)*params(10)-T(3)*((y(1)-y(3)*(y(11)+y(12)*y(7)))*params(10)*T(55)*y(3)*y(12)+T(40)*params(10)*(-y(3)));
g1(12,12)=(1+y(12)*(-y(4))-y(8))*params(2)*params(7)*(1-y(8))*T(62)+T(33)*params(2)*params(7)*(-y(4))+(1+y(12)*(-y(5))-y(9))*params(3)*params(8)*(1-y(9))*T(64)+T(35)*params(3)*params(8)*(-y(5))+(1+y(12)*(-y(6))-y(10))*params(4)*params(9)*(1-y(10))*T(66)+T(37)*params(4)*params(9)*(-y(6))+(1+y(12)*(-y(7))-y(11))*params(5)*params(10)*(1-y(11))*T(68)+T(39)*params(5)*params(10)*(-y(7))+params(6)*params(11)*T(71)-T(3)*((y(1)-y(3)*(y(8)+y(4)*y(12)))*params(7)*T(52)*(y(3)*y(8)-y(1))+T(34)*params(7)*(-(y(3)*y(4)))+(y(1)-y(3)*(y(9)+y(12)*y(5)))*params(8)*T(53)*(y(3)*y(9)-y(1))+T(36)*params(8)*(-(y(3)*y(5)))+(y(1)-y(3)*(y(10)+y(12)*y(6)))*params(9)*T(54)*(y(3)*y(10)-y(1))+T(38)*params(9)*(-(y(3)*y(6)))+(y(1)-y(3)*(y(11)+y(12)*y(7)))*params(10)*T(55)*(y(3)*y(11)-y(1))+T(40)*params(10)*(-(y(3)*y(7)))+y(1)*params(11)*T(56)*(-y(1)));
g1(12,13)=(-(T(3)*((y(1)-y(3)*(y(8)+y(4)*y(12)))*params(7)*(y(2)-y(1))*T(52)+(y(1)-y(3)*(y(9)+y(12)*y(5)))*params(8)*(y(2)-y(1))*T(53)+(y(1)-y(3)*(y(10)+y(12)*y(6)))*params(9)*(y(2)-y(1))*T(54)+(y(1)-y(3)*(y(11)+y(12)*y(7)))*params(10)*(y(2)-y(1))*T(55)+y(1)*params(11)*(y(2)-y(1))*T(56))));
g1(12,14)=(-(params(1)*T(42)));
g1(13,1)=(-1);
g1(13,2)=1;
g1(14,8)=(-(y(17)*y(12)*(-params(7))));
g1(14,9)=(-(y(17)*y(12)*(-params(8))));
g1(14,10)=(-(y(17)*y(12)*(-params(9))));
g1(14,11)=(-(y(17)*y(12)*(-params(10))));
g1(14,12)=(-((params(11)+(1-y(8))*params(7)+(1-y(9))*params(8)+(1-y(10))*params(9)+(1-y(11))*params(10))*y(17)));
g1(14,17)=(-(y(12)*(params(11)+(1-y(8))*params(7)+(1-y(9))*params(8)+(1-y(10))*params(9)+(1-y(11))*params(10))));
g1(15,12)=y(17);
g1(15,13)=y(17);
g1(15,17)=(-(1-y(13)-y(12)));
g1(15,18)=1;
g1(16,12)=y(17)-(1+y(19))*(1+y(16))*y(17);
g1(16,13)=y(17)*1/y(15)-(1+y(19))*(1+y(16))*y(17);
g1(16,15)=y(17)*(-y(13))/(y(15)*y(15));
g1(16,16)=(-((1+y(19))*y(17)*(y(12)+y(13))));
g1(16,17)=y(12)+y(13)/y(15)-(1+y(19))*(1+y(16))*(y(12)+y(13));
g1(16,19)=(-(y(17)*(1+y(16))*(y(12)+y(13))));
g1(17,12)=(1+y(19))*(1+y(16))*y(17)-y(17)*(1+y(20));
g1(17,16)=(1+y(19))*y(12)*y(17);
g1(17,17)=(1+y(19))*(1+y(16))*y(12)-y(12)*(1+y(20));
g1(17,19)=y(17)*(1+y(16))*y(12);
g1(17,20)=(-(y(12)*y(17)));
g1(18,1)=(-(T(3)*(params(7)*(1-y(13)-y(12))*T(57)+params(8)*(1-y(13)-y(12))*T(58)+params(9)*(1-y(13)-y(12))*T(59)+params(10)*(1-y(13)-y(12))*T(60)+params(11)*(1-y(13)-y(12))*T(61))));
g1(18,2)=(-(T(3)*(params(7)*y(13)*T(57)+params(8)*y(13)*T(58)+params(9)*y(13)*T(59)+params(10)*y(13)*T(60)+params(11)*y(13)*T(61))));
g1(18,3)=(-(T(3)*(params(7)*T(57)*y(12)*y(8)+params(8)*T(58)*y(12)*y(9)+params(9)*T(59)*y(12)*y(10)+params(10)*T(60)*y(12)*y(11))));
g1(18,8)=(-(params(2)*params(7)*(-y(12))*T(63)+T(3)*params(7)*T(57)*y(3)*y(12)));
g1(18,9)=(-(params(3)*params(8)*(-y(12))*T(65)+T(3)*params(8)*T(58)*y(3)*y(12)));
g1(18,10)=(-(params(4)*params(9)*(-y(12))*T(67)+T(3)*params(9)*T(59)*y(3)*y(12)));
g1(18,11)=(-(params(5)*params(10)*(-y(12))*T(69)+T(3)*params(10)*T(60)*y(3)*y(12)));
g1(18,12)=(-(params(2)*params(7)*(1-y(8))*T(63)+params(3)*params(8)*(1-y(9))*T(65)+params(4)*params(9)*(1-y(10))*T(67)+params(5)*params(10)*(1-y(11))*T(69)+params(6)*params(11)*getPowerDeriv(y(12),1-params(12),1)+T(3)*(params(7)*T(57)*(y(3)*y(8)-y(1))+params(8)*T(58)*(y(3)*y(9)-y(1))+params(9)*T(59)*(y(3)*y(10)-y(1))+params(10)*T(60)*(y(3)*y(11)-y(1))+params(11)*T(61)*(-y(1)))));
g1(18,13)=(-(T(3)*(params(7)*(y(2)-y(1))*T(57)+params(8)*(y(2)-y(1))*T(58)+params(9)*(y(2)-y(1))*T(59)+params(10)*(y(2)-y(1))*T(60)+params(11)*(y(2)-y(1))*T(61))));
g1(18,14)=1-params(1)*T(43);
g1(19,19)=1-params(18);
g1(19,20)=(-params(20));
g1(20,13)=(-(params(22)*y(17)/y(15)));
g1(20,15)=(-(params(22)*(-(y(13)*y(17)))/(y(15)*y(15))));
g1(20,17)=(-(y(13)/y(15)*params(22)));
g1(20,19)=(-params(21));
g1(20,20)=1-params(19);
g1(21,12)=(-((-y(17))/(y(12)*y(17)*y(12)*y(17))));
g1(21,17)=(-((-y(12))/(y(12)*y(17)*y(12)*y(17))));
g1(21,21)=1;
g1(22,15)=(-((-1)/(y(15)*y(15))));
g1(22,22)=1;
g1(23,16)=(-((-(1+y(22)))/((1+y(16))*(1+y(16)))));
g1(23,22)=(-(1/(1+y(16))));
g1(23,23)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
