function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 43);

T(1) = y(12)^(-(1+params(12)));
T(2) = (1-y(8))^(-params(12));
T(3) = params(1)*y(14);
T(4) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(8);
T(5) = T(4)^(-(1+params(12)));
T(6) = T(3)*T(5);
T(7) = params(2)*T(1)*T(2)+y(3)*T(6)*(y(1)-y(3)*y(8));
T(8) = params(2)*(1-y(8))^(-(1+params(12)));
T(9) = y(12)^(-params(12));
T(10) = y(3)^2;
T(11) = T(8)*T(9)+y(12)*T(6)*T(10);
T(12) = (1-y(9))^(-params(12));
T(13) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(9);
T(14) = T(13)^(-(1+params(12)));
T(15) = T(3)*T(14);
T(16) = T(1)*params(3)*T(12)+y(3)*T(15)*(y(1)-y(3)*y(9));
T(17) = params(3)*(1-y(9))^(-(1+params(12)));
T(18) = T(9)*T(17)+y(12)*T(10)*T(15);
T(19) = (1-y(10))^(-params(12));
T(20) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(10);
T(21) = T(20)^(-(1+params(12)));
T(22) = T(3)*T(21);
T(23) = T(1)*params(4)*T(19)+y(3)*T(22)*(y(1)-y(3)*y(10));
T(24) = params(4)*(1-y(10))^(-(1+params(12)));
T(25) = T(9)*T(24)+y(12)*T(10)*T(22);
T(26) = (1-y(11))^(-params(12));
T(27) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(11);
T(28) = T(27)^(-(1+params(12)));
T(29) = T(3)*T(28);
T(30) = T(1)*params(5)*T(26)+y(3)*T(29)*(y(1)-y(3)*y(11));
T(31) = params(5)*(1-y(11))^(-(1+params(12)));
T(32) = T(9)*T(31)+y(12)*T(10)*T(29);
T(33) = (y(12)*(1-y(8)))^(-params(12));
T(34) = T(4)^(-params(12));
T(35) = (y(12)*(1-y(9)))^(-params(12));
T(36) = T(13)^(-params(12));
T(37) = (y(12)*(1-y(10)))^(-params(12));
T(38) = T(20)^(-params(12));
T(39) = (y(12)*(1-y(11)))^(-params(12));
T(40) = T(27)^(-params(12));
T(41) = params(11)*(y(1)*(1-y(13)-y(12))+y(2)*y(13))^(-params(12));
T(42) = T(34)*params(7)*(y(1)-y(3)*(y(8)+y(4)*y(12)))+T(36)*params(8)*(y(1)-y(3)*(y(9)+y(12)*y(5)))+T(38)*params(9)*(y(1)-y(3)*(y(10)+y(12)*y(6)))+T(40)*params(10)*(y(1)-y(3)*(y(11)+y(12)*y(7)))+y(1)*T(41);
T(43) = params(7)*T(4)^(1-params(12))+params(8)*T(13)^(1-params(12))+params(9)*T(20)^(1-params(12))+params(10)*T(27)^(1-params(12))+params(11)*(y(1)*(1-y(13)-y(12))+y(2)*y(13))^(1-params(12));

end
