function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 44);

T(1) = y(12)^(-(1+params(12)));
T(2) = (1-y(8))^(-params(12));
T(3) = y(14)^(1-params(12));
T(4) = params(1)*T(3);
T(5) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(8);
T(6) = T(5)^(-(1+params(12)));
T(7) = T(4)*T(6);
T(8) = params(2)*T(1)*T(2)+y(3)*T(7)*(y(1)-y(3)*y(8));
T(9) = params(2)*(1-y(8))^(-(1+params(12)));
T(10) = y(12)^(-params(12));
T(11) = y(3)^2;
T(12) = T(9)*T(10)+y(12)*T(7)*T(11);
T(13) = (1-y(9))^(-params(12));
T(14) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(9);
T(15) = T(14)^(-(1+params(12)));
T(16) = T(4)*T(15);
T(17) = T(1)*params(3)*T(13)+y(3)*T(16)*(y(1)-y(3)*y(9));
T(18) = params(3)*(1-y(9))^(-(1+params(12)));
T(19) = T(10)*T(18)+y(12)*T(11)*T(16);
T(20) = (1-y(10))^(-params(12));
T(21) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(10);
T(22) = T(21)^(-(1+params(12)));
T(23) = T(4)*T(22);
T(24) = T(1)*params(4)*T(20)+y(3)*T(23)*(y(1)-y(3)*y(10));
T(25) = params(4)*(1-y(10))^(-(1+params(12)));
T(26) = T(10)*T(25)+y(12)*T(11)*T(23);
T(27) = (1-y(11))^(-params(12));
T(28) = y(1)*(1-y(13)-y(12))+y(2)*y(13)+y(12)*y(3)*y(11);
T(29) = T(28)^(-(1+params(12)));
T(30) = T(4)*T(29);
T(31) = T(1)*params(5)*T(27)+y(3)*T(30)*(y(1)-y(3)*y(11));
T(32) = params(5)*(1-y(11))^(-(1+params(12)));
T(33) = T(10)*T(32)+y(12)*T(11)*T(30);
T(34) = (y(12)*(1-y(8)))^(-params(12));
T(35) = T(5)^(-params(12));
T(36) = (y(12)*(1-y(9)))^(-params(12));
T(37) = T(14)^(-params(12));
T(38) = (y(12)*(1-y(10)))^(-params(12));
T(39) = T(21)^(-params(12));
T(40) = (y(12)*(1-y(11)))^(-params(12));
T(41) = T(28)^(-params(12));
T(42) = params(11)*(y(1)*(1-y(13)-y(12))+y(2)*y(13))^(-params(12));
T(43) = T(35)*params(7)*(y(1)-y(3)*(y(8)+y(4)*y(12)))+T(37)*params(8)*(y(1)-y(3)*(y(9)+y(12)*y(5)))+T(39)*params(9)*(y(1)-y(3)*(y(10)+y(12)*y(6)))+T(41)*params(10)*(y(1)-y(3)*(y(11)+y(12)*y(7)))+y(1)*T(42);
T(44) = params(7)*T(5)^(1-params(12))+params(8)*T(14)^(1-params(12))+params(9)*T(21)^(1-params(12))+params(10)*T(28)^(1-params(12))+params(11)*(y(1)*(1-y(13)-y(12))+y(2)*y(13))^(1-params(12));

end
