function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 71);

T = file02c.static_resid_tt(T, y, x, params);

T(44) = getPowerDeriv(T(4),(-(1+params(12))),1);
T(45) = T(3)*(1-y(13)-y(12))*T(44);
T(46) = getPowerDeriv(T(13),(-(1+params(12))),1);
T(47) = T(3)*(1-y(13)-y(12))*T(46);
T(48) = getPowerDeriv(T(20),(-(1+params(12))),1);
T(49) = T(3)*(1-y(13)-y(12))*T(48);
T(50) = getPowerDeriv(T(27),(-(1+params(12))),1);
T(51) = T(3)*(1-y(13)-y(12))*T(50);
T(52) = getPowerDeriv(T(4),(-params(12)),1);
T(53) = getPowerDeriv(T(13),(-params(12)),1);
T(54) = getPowerDeriv(T(20),(-params(12)),1);
T(55) = getPowerDeriv(T(27),(-params(12)),1);
T(56) = getPowerDeriv(y(1)*(1-y(13)-y(12))+y(2)*y(13),(-params(12)),1);
T(57) = getPowerDeriv(T(4),1-params(12),1);
T(58) = getPowerDeriv(T(13),1-params(12),1);
T(59) = getPowerDeriv(T(20),1-params(12),1);
T(60) = getPowerDeriv(T(27),1-params(12),1);
T(61) = getPowerDeriv(y(1)*(1-y(13)-y(12))+y(2)*y(13),1-params(12),1);
T(62) = getPowerDeriv(y(12)*(1-y(8)),(-params(12)),1);
T(63) = getPowerDeriv(y(12)*(1-y(8)),1-params(12),1);
T(64) = getPowerDeriv(y(12)*(1-y(9)),(-params(12)),1);
T(65) = getPowerDeriv(y(12)*(1-y(9)),1-params(12),1);
T(66) = getPowerDeriv(y(12)*(1-y(10)),(-params(12)),1);
T(67) = getPowerDeriv(y(12)*(1-y(10)),1-params(12),1);
T(68) = getPowerDeriv(y(12)*(1-y(11)),(-params(12)),1);
T(69) = getPowerDeriv(y(12)*(1-y(11)),1-params(12),1);
T(70) = getPowerDeriv(y(12),(-(1+params(12))),1);
T(71) = getPowerDeriv(y(12),(-params(12)),1);

end
