function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 75);

T = file02d_noestim.static_resid_tt(T, y, x, params);

T(45) = getPowerDeriv(T(5),(-(1+params(12))),1);
T(46) = T(4)*(1-y(13)-y(12))*T(45);
T(47) = getPowerDeriv(T(14),(-(1+params(12))),1);
T(48) = T(4)*(1-y(13)-y(12))*T(47);
T(49) = getPowerDeriv(T(21),(-(1+params(12))),1);
T(50) = T(4)*(1-y(13)-y(12))*T(49);
T(51) = getPowerDeriv(T(28),(-(1+params(12))),1);
T(52) = T(4)*(1-y(13)-y(12))*T(51);
T(53) = getPowerDeriv(T(5),(-params(12)),1);
T(54) = getPowerDeriv(T(14),(-params(12)),1);
T(55) = getPowerDeriv(T(21),(-params(12)),1);
T(56) = getPowerDeriv(T(28),(-params(12)),1);
T(57) = getPowerDeriv(y(1)*(1-y(13)-y(12))+y(2)*y(13),(-params(12)),1);
T(58) = getPowerDeriv(T(5),1-params(12),1);
T(59) = getPowerDeriv(T(14),1-params(12),1);
T(60) = getPowerDeriv(T(21),1-params(12),1);
T(61) = getPowerDeriv(T(28),1-params(12),1);
T(62) = getPowerDeriv(y(1)*(1-y(13)-y(12))+y(2)*y(13),1-params(12),1);
T(63) = getPowerDeriv(y(12)*(1-y(8)),(-params(12)),1);
T(64) = getPowerDeriv(y(12)*(1-y(8)),1-params(12),1);
T(65) = getPowerDeriv(y(12)*(1-y(9)),(-params(12)),1);
T(66) = getPowerDeriv(y(12)*(1-y(9)),1-params(12),1);
T(67) = getPowerDeriv(y(12)*(1-y(10)),(-params(12)),1);
T(68) = getPowerDeriv(y(12)*(1-y(10)),1-params(12),1);
T(69) = getPowerDeriv(y(12)*(1-y(11)),(-params(12)),1);
T(70) = getPowerDeriv(y(12)*(1-y(11)),1-params(12),1);
T(71) = getPowerDeriv(y(12),(-(1+params(12))),1);
T(72) = getPowerDeriv(y(12),(-params(12)),1);
T(73) = getPowerDeriv(y(14),1-params(12),1);
T(74) = params(1)*T(73);
T(75) = T(6)*T(74);

end
