function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = file02Rc.static_g1_tt(T, y, x, params);
end
g1 = zeros(14, 14);
g1(1,1)=1;
g1(1,8)=(-((-1)/((1+y(8))*(1+y(8)))/y(10)));
g1(1,10)=(-((y(10)*(1+y(11))-(y(10)*(1+y(11))+1/(1+y(8))))/(y(10)*y(10))));
g1(1,11)=(-1);
g1(2,2)=1;
g1(2,7)=(-((-(1+y(8)))/((1+y(8))*y(7)*(1+y(8))*y(7))));
g1(2,8)=(-((-y(7))/((1+y(8))*y(7)*(1+y(8))*y(7))));
g1(3,3)=1;
g1(3,8)=(-((-1)/((1+y(8))*(1+y(8)))));
g1(4,1)=(-(params(1)*T(1)*(T(2)+y(1)*(1-y(5)-y(4))*T(5))));
g1(4,2)=(-(params(1)*T(1)*y(1)*y(5)*T(5)));
g1(4,4)=params(2)*getPowerDeriv(y(4),(-params(3)),1)-params(1)*T(1)*y(1)*T(5)*(-y(1));
g1(4,5)=(-(params(1)*T(1)*y(1)*(y(2)-y(1))*T(5)));
g1(4,6)=(-(y(1)*T(2)*params(1)*T(8)));
g1(5,1)=T(1)*(y(2)-y(1))*(1-y(5)-y(4))*T(5)+T(2)*(-T(1));
g1(5,2)=T(1)*(y(2)-y(1))*y(5)*T(5)+T(1)*T(2);
g1(5,4)=T(1)*(y(2)-y(1))*T(5)*(-y(1));
g1(5,5)=T(1)*(y(2)-y(1))*(y(2)-y(1))*T(5);
g1(5,6)=T(2)*(y(2)-y(1))*T(8);
g1(6,4)=(-y(9));
g1(6,9)=(-y(4));
g1(7,4)=y(9);
g1(7,5)=y(9);
g1(7,9)=(-(1-y(5)-y(4)));
g1(7,10)=1;
g1(8,4)=y(9)-(1+y(11))*(1+y(8))*y(9);
g1(8,5)=y(9)*1/y(7)-(1+y(11))*(1+y(8))*y(9);
g1(8,7)=y(9)*(-y(5))/(y(7)*y(7));
g1(8,8)=(-((1+y(11))*y(9)*(y(4)+y(5))));
g1(8,9)=y(4)+y(5)/y(7)-(1+y(11))*(1+y(8))*(y(4)+y(5));
g1(8,11)=(-(y(9)*(1+y(8))*(y(4)+y(5))));
g1(9,4)=(1+y(11))*(1+y(8))*y(9)-y(9)*(1+y(12));
g1(9,8)=(1+y(11))*y(4)*y(9);
g1(9,9)=(1+y(11))*(1+y(8))*y(4)-y(4)*(1+y(12));
g1(9,11)=y(9)*(1+y(8))*y(4);
g1(9,12)=(-(y(4)*y(9)));
g1(10,1)=(-(params(1)*T(1)*(1-y(5)-y(4))*T(6)*T(7)));
g1(10,2)=(-(T(7)*params(1)*T(1)*y(5)*T(6)));
g1(10,4)=(-(T(7)*(params(2)*getPowerDeriv(y(4),1-params(3),1)+params(1)*T(1)*T(6)*(-y(1)))));
g1(10,5)=(-(T(7)*params(1)*T(1)*(y(2)-y(1))*T(6)));
g1(10,6)=1-T(7)*T(3)*params(1)*T(8);
g1(11,11)=1-params(9);
g1(11,12)=(-params(11));
g1(12,5)=(-(params(13)*y(9)/y(7)));
g1(12,7)=(-(params(13)*(-(y(5)*y(9)))/(y(7)*y(7))));
g1(12,9)=(-(y(5)/y(7)*params(13)));
g1(12,11)=(-params(12));
g1(12,12)=1-params(10);
g1(13,7)=(-((-1)/(y(7)*y(7))));
g1(13,13)=1;
g1(14,8)=(-((-(1+y(13)))/((1+y(8))*(1+y(8)))));
g1(14,13)=(-(1/(1+y(8))));
g1(14,14)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
